Engineering Papers⌕ Search

SEARCH · Engineering Papers

Results for “solve time”

Search indexed NASA NTRS and DOE OSTI research on propulsion, heat transfer, battery materials and energy systems. Follow report and document links to the original sources.

Quote a phrase for an exact phrase match. Source license links do not imply unrestricted reuse.

At least 847 records · Page 47

Finite element computation of a viscous compressible free shear flow governed by the time dependent Navier-Stokes equations

A finite element algorithm for solution of fluid flow problems characterized by the two-dimensional compressible Navier-Stokes equations was developed. The program is intended for viscous compressible high speed flow; hence, primitive variables are utilized. The physical solution was approximated by trial functions which at a fixed time are piecewise cubic on triangular elements. The Galerkin technique was employed to determine the finite-element model equations. A leapfrog time integration is used for marching asymptotically from initial to steady state, with iterated integrals evaluated by numerical quadratures. The nonsymmetric linear systems of equations governing time transition from step-to-step are solved using a rather economical block iterative triangular decomposition scheme. The concept was applied to the numerical computation of a free shear flow. Numerical results of the finite-element method are in excellent agreement with those obtained from a finite difference solution of the same problem.

Cooke, C. H.↗

Comparison of a two-dimensional shock impingement computation with experiment

Results of computations of two-dimensional viscous blunt-body flowfields with an impinging shock wave, with a time-dependent finite-difference method employed to solve the complete set of Navier-Stokes equations, are compared with experimental results. The experimental results were obtained in a 20-inch hypersonic tunnel with a planar shock impinging on the cylindrical leading edge of a fin, hence with the shock parallel to the centerline of the leading edge, so that type III and type IV interference patterns were generated. Close agreement is found. The overall effects of smoothing and grid size on the calculations are determined. A 31 x 51 mesh is adequate for wall pressure values (except in peaked regions).

Tannehill, J. C.↗

On the explicit finite element formulation of the dynamic contact problem of hyperelastic membranes

Contact-impact problems involving finite deformation axisymmetric membranes are solved by the finite element method with explicit time integration. The formulation of the membrane element and the contact constraint conditions are discussed. The hyperelastic, compressible Blatz and Ko material is used to model the material properties of the membrane. Two example problems are presented.

Hallquist, J. O.↗

A reexamination of two-fluid solar wind models

The two-fluid solar-wind equations have been solved by a method which is approximately 50 times faster than any previously developed, through the use of asymptotic expansions which are self-consistently iterated upon to find a solution that passes through the critical point. The energy assumptions in two-fluid solar-wind models are reexamined, and the conclusions are as follows: (1) proton thermal conduction may not be neglected, (2) the Coulomb logarithm must be calculated as a function of radius, and (3) the electron and proton temperatures at the base need not be equal, even when the time scale for energy exchange between the species is an order of magnitude smaller than the expansion time at the base. It is possible to reproduce reasonable quiet-time solar-wind parameters at 1 AU, but only if the proton temperature is approximately twice the electron temperature at 1 solar radius. This may indicate that extended proton heating is important in the outer solar corona. Winds with velocities at 1 AU of 450 km/s are generated without nonthermal energy deposition but require high proton temperatures as well as very low densities at the base. Higher-velocity solutions are not possible in a spherically symmetric geometry for reasonable particle fluxes at 1 AU, and it is suggested that these higher-velocity states probably require additional heating, acceleration mechanisms, or nonradial flow.

Nerney, S.↗

Elimination of environmental effects from Landsat radiance data

A critical problem involved in quantitative multi-temporal sensing of the physical processes with Landsat is the fact that variations in the spectral signatures for a given target of interest result from a combined effect of target properties and the environmental factors such as sun angles, atmospheric conditions, etc. at the time of an overpass. In an attempt to solve the problem, a transformation procedure is developed to remove the environmental effects from the MSS radiance data. Mathematical derivation of the transformation procedure is elaborated and an example of testing the procedure is illustrated using suspended sediments reflectance data obtained by Landsat MSS during four different overpasses over the lower Mississippi River valley.

Kim, S. T.↗

Space Shuttle Orbiter flight heating rate measurement sensitivity to thermal protection system uncertainties

A study was completed to determine the sensitivity of computed convective heating rates to uncertainties in the thermal protection system thermal model. Those parameters considered were: density, thermal conductivity, and specific heat of both the reusable surface insulation and its coating; coating thickness and emittance; and temperature measurement uncertainty. The assessment used a modified version of the computer program to calculate heating rates from temperature time histories. The original version of the program solves the direct one dimensional heating problem and this modified version of The program is set up to solve the inverse problem. The modified program was used in thermocouple data reduction for shuttle flight data. Both nominal thermal models and altered thermal models were used to determine the necessity for accurate knowledge of thermal protection system's material thermal properties. For many thermal properties, the sensitivity (inaccuracies created in the calculation of convective heating rate by an altered property) was very low.

Bradley, P. F.↗

Solar particle propagation and modulation theory

Developments related to solar flare particle propagation theory are considered, taking into account the transport equation currently employed to describe the propagation of solar flare particles. This equation does not take into consideration convection with the solar wind, drifts, and changes in particle energy. The equation was solved numerically to generate typical solar flare particle time profiles at 1 AU. The results, however, were not satisfactory. It was found that the numerical method used was apparently in error. New advances which provide approximate analytical solutions to the equation are reported. Questions of galactic cosmic ray propagation in interplanetary space are also discussed.

Lee, M. A.↗

Investigation of rotational transonic flows through ducts using a finite element scheme

An application of the finite element method is presented in order to study the flow through a two-dimensional channel including the choked and nearly-choked flow conditions. The mathematical procedure provides a combined treatment of potential and Euler equations, where the steady Euler equations are solved through the integration of a pseudo-time system which is equivalent to a relaxation scheme; the isentropic, potential flow equations are embedded in this formulation. To analyze the transonic flow through a channel with near-choked flow conditions, the flow through a parallel channel with a 10 percent circular arc bump is calculated as a sample problem.

Akay, H. U.↗

Calculation of pressure statistics in turbulent free shear flows by direct numerical simulation

Accurate numerical simulations of turbulent free shear flows were performed in order to study the behavior of certain critical turbulence quantities which have been difficult to measure in the laboratory. The three-dimensional time-dependent nonlinear Navier-Stokes equations are solved by the direct numerical simulation technique without turbulence modeling or ad hoc closure assumptions. The pressure interaction terms were factored into diffusion and return-to-isotropy components according to two models. Simulations of the evolution of a turbulent wake with and without swirl present were performed at sufficiently high Reynolds numbers to insure that the flows were strongly nonlinear and turbulent, but low enough so that all scales of motion containing significant energy are adequately resolved. It is noted that the presence of swirl tends to enhance the amplitude of the rms pressure levels.

Metcalfe, R. W.↗

Incipient transition phenomena in compressible flows over a flat plate

The full three-dimensional time-dependent compressible Navier-Stokes equations are solved by a Fourier-Chebyshev method to study the stability of compressible flows over a flat plate. After the code is validated in the linear regime, it is applied to study the existence of the secondary instability mechanism in the supersonic regime.

Erlebacher, G.↗

Calculations of three-dimensional flows using the isenthalpic Euler equations with implicit flux-vector splitting

A numerical method for solving the isenthalpic form of the Euler equations is developed. The method is based on the concept of flux vector splitting in its implicit form applied to a cell centered finite volume scheme. Approximate factorization is implemented in solving the implicit part of the governing equations. Time marching to a steady state solution requires short computational times due to the relative efficiency of the basic method. Computational times are further reduced by the implementation of multigrid. Results for several basic cases are shown.

Cannizzaro, Frank E.↗

Topological numbering of features on a mesh

Assume a nxn binary image is given containing horizontally convex features; i.e., for each feature, each of its row's pixels form an interval on that row. The problem of assigning topological numbers to such features is considered; i.e., assign a number to every feature f so that all features to the left of f have a smaller number assigned to them. This problem arises in solutions to the stereo matching problem. A parallel algorithm to solve the topological numbering problem in O(n) time on an nxn mesh of processors is presented. The key idea of the solution is to create a tree from which the topological numbers can be obtained even though the tree does not uniquely represent the to the left of relationship of the features.

Atallah, Mikhail J.↗

Computations of unsteady dissociating nitrogen flows

A time-accurate computer program has been developed to solve flows involving nonequilibrium chemical reactions and vibrational relaxation. The program is based on a multidomain approach and an explicit MacCormack scheme. Results are presented for three simple test cases, involving nitrogen dissociation in a closed box.

Marraffa, Lionel↗

An experiment-based comparative study of fuzzy logic control

An approach is presented to the control of a dynamic physical system through the use of approximate reasoning. The approach has been implemented in a program named POLE, and the authors have successfully built a prototype hardware system to solve the cartpole balancing problem in real-time. The approach provides a complementary alternative to the conventional analytical control methodology and is of substantial use when a precise mathematical model of the process being controlled is not available. A set of criteria for comparing controllers based on approximate reasoning and those based on conventional control schemes is furnished.

Berenji, Hamid R.↗

Forward Stochastic Nonlinear Adaptive Control Method

New method of computation for optimal stochastic nonlinear and adaptive control undergoing development. Solves systematically stochastic dynamic programming equations forward in time, using nested-stochastic-approximation technique. Main advantage, simplicity of programming and reduced complexity with clear performance/computation trade-offs.

Bayard, David S.↗

An approach for targeting landers and penetrators using orbital optical navigation

Onboard orbital optical navigation data is analyzed with the purpose of generating topographic maps for selecting a landing site. It is suggested that a near-real time orbit-determination process be used for solving a large set of parameters including the spacecraft orbit and primary-body gravity field, the rotational properties of the planetary body, the coordinates of surface features, and the camera-pointing and orientation angles of each picture. A batch-sequential formulation of the standard least-squares problem is employed, along with backward smoothing and a square-root formation filter. An experiment in which over 100 images of Phobos are processed to estimate about 2000 parameters is presented, with emphasis on coordinate systems, transforming points on the reference surface to images in the picture, parameter estimation, and cartographic accuracy.

Wang, Tseng-Chan↗

One shot methods for optimal control of distributed parameter systems 1: Finite dimensional control

The efficient numerical treatment of optimal control problems governed by elliptic partial differential equations (PDEs) and systems of elliptic PDEs, where the control is finite dimensional is discussed. Distributed control as well as boundary control cases are discussed. The main characteristic of the new methods is that they are designed to solve the full optimization problem directly, rather than accelerating a descent method by an efficient multigrid solver for the equations involved. The methods use the adjoint state in order to achieve efficient smoother and a robust coarsening strategy. The main idea is the treatment of the control variables on appropriate scales, i.e., control variables that correspond to smooth functions are solved for on coarse grids depending on the smoothness of these functions. Solution of the control problems is achieved with the cost of solving the constraint equations about two to three times (by a multigrid solver). Numerical examples demonstrate the effectiveness of the method proposed in distributed control case, pointwise control and boundary control problems.

Taasan, Shlomo↗

Physics of heavy ions (1989-1990)

The results from studies on polar wind ion heating due to kinetic ion beam instabilities and the effects of such ion heating on the outflow of O(+) in the polar wind are presented and discussed. First, the linear instabilities associated with an O(+) and H(+) polar wind plasma in the presence of O(+) and H(+) beams for a range of O(+)/H(+) beam densities, T(sub e)/T(sub i), and ion beam speeds were examined. Then, nonlinear heating of the polar wind ions was studied, using numerical simulations. The O(+) and H(+) polar wind ions were modeled by isotropic Maxwellian distributions, and the electrons, O(+) beams, and H(+) beams were modeled by drifting Maxwellian distributions. The effects of the kinetic ion heating on the outflow of the polar wind ions were examined from the ionosphere, using a time-dependent hydrodynamic model. A numerical code to solve the O(+) and H(+) continuity and momentum equations in a flux tube from ionospheric to magnetospheric altitudes were developed. The effects of ion heating were included by allowing for the altitudinal variation of the ion temperatures in the momentum equation. The ion temperature profiles were specified based on the ion heating characteristics found from previous kinetic simulations. It was assumed that heating occurred above 1500 km and increased to a saturated value of temperature that was obtained directly from the kinetic simulation study. The characteristics of the dynamical polar wind without ion heating were studied, and a flux tube on closed field lines that suddenly became open at t = 0 was simulated. Then, the effects of ion heating were included. To gain some physical insight, two limiting cases were considered: preferential H(+) heating and preferential O(+) heating. How O(+) heating can lead to enhanced polar wind O(+) fluxes in the polar magnetosphere is shown.

Ashour-Abdalla, M.↗